AuditState (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.handler.audit
Class AuditState

    java.lang.Object
      edu.harvard.hul.ois.jhove.handler.audit.AuditCount
          edu.harvard.hul.ois.jhove.handler.audit.AuditState

All Implemented Interfaces:
  java.lang.Cloneable

    public class AuditState

extends AuditCount
implements java.lang.Cloneable

State object for the JHOVE Audit output handler.

Field Summary
`protected java.lang.String` | `_directory` Directory pathname.
`protected int` | `_notFound` Number of files not found.

Fields inherited from class edu.harvard.hul.ois.jhove.handler.audit.AuditCount
`_notProcessed, _valid, _wellFormed`

Constructor Summary
`AuditState(java.lang.String directory)` Instantiate a `AuditState` object.

Method Summary
`java.lang.Object` | `clone(java.lang.String directory)` Creates and returns a copy of this object.
`java.lang.String` | `getDirectory()` Returns the directory path.
`int` | `getNotFound()` Returns the number of files not found.
`protected void` | `init(java.lang.String directory)` Initializes to a specified directory and clears counters.
`void` | `setDirectory(java.lang.String directory)` Sets the directory path.
`void` | `setNotFound(int notFound)` Sets the count of files not found.

Methods inherited from class edu.harvard.hul.ois.jhove.handler.audit.AuditCount
`getNotProcessed, getTotal, getValid, getWellFormed, setNotProcessed, setValid, setWellFormed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _directory

    protected java.lang.String _directory

  Directory pathname.

### _notFound

    protected int _notFound

  Number of files not found.

Constructor Detail

### AuditState

    public AuditState(java.lang.String directory)

  Instantiate a `AuditState` object.

Method Detail

### init

    protected void init(java.lang.String directory)

  Initializes to a specified directory and clears counters.

### clone

    public java.lang.Object clone(java.lang.String directory)
                           throws java.lang.CloneNotSupportedException

  Creates and returns a copy of this object.

  Throws:
    `java.lang.CloneNotSupportedException`

### getDirectory

    public java.lang.String getDirectory()

  Returns the directory path.

### getNotFound

    public int getNotFound()

  Returns the number of files not found.

### setDirectory

    public void setDirectory(java.lang.String directory)

  Sets the directory path.

### setNotFound

    public void setNotFound(int notFound)

  Sets the count of files not found.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD